Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061356 - neutron-dhcp-agent fails to start with the error: Package 'openstack-neutron' isn't signed with proper key
Summary: neutron-dhcp-agent fails to start with the error: Package 'openstack-neutron'...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: RDO
Classification: Community
Component: distribution
Version: unspecified
Hardware: Unspecified
OS: Linux
unspecified
urgent
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact: Ami Jeain
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-04 16:47 UTC by Nir Magnezi
Modified: 2016-04-26 14:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-06 13:54:09 UTC


Attachments (Terms of Use)

Description Nir Magnezi 2014-02-04 16:47:46 UTC
Description of problem:
=======================
Found when I tried to verify bug #1061055
neutron-dhcp-agent fails to start with the error: Package 'openstack-neutron' isn't signed with proper key
installed the neutron-dhcp-agent on a dedicated node which only populates that service.

Version-Release number of selected component (if applicable):
=============================================================
openstack-neutron-2014.1-0.4.b2.el6.noarch

How reproducible:
=================
2/2

Steps to Reproduce:
===================
1. Install RDO on RHEL6.5 , allocate a dedicated node to host the neutron-dhcp service.
2.

Actual results:
===============

# service neutron-dhcp-agent start

From /var/log/messages
Feb  4 18:32:10 puma09 abrtd: Deleting problem directory '/var/spool/abrt/pyhook-2014-02-04-18:32:10-6671'
Feb  4 18:37:41 puma09 ntpd[6016]: 0.0.0.0 0612 02 freq_set kernel 25.764 PPM
Feb  4 18:37:41 puma09 ntpd[6016]: 0.0.0.0 0615 05 clock_sync
Feb  4 18:40:52 puma09 abrt: detected unhandled Python exception in '/usr/bin/neutron-dhcp-agent'
Feb  4 18:40:52 puma09 abrtd: New client connected
Feb  4 18:40:52 puma09 abrtd: Directory 'pyhook-2014-02-04-18:40:52-6722' creation detected
Feb  4 18:40:52 puma09 abrt-server[6728]: Saved Python crash dump of pid 6722 to /var/spool/abrt/pyhook-2014-02-04-18:40:52-6722
Feb  4 18:40:52 puma09 abrtd: Package 'openstack-neutron' isn't signed with proper key
Feb  4 18:40:52 puma09 abrtd: 'post-create' on '/var/spool/abrt/pyhook-2014-02-04-18:40:52-6722' exited with 1
Feb  4 18:40:52 puma09 abrtd: Deleting problem directory '/var/spool/abrt/pyhook-2014-02-04-18:40:52-6722'


Expected results:
=================
service should be running.

Comment 1 Pádraig Brady 2014-02-04 17:44:28 UTC
Are you using an internal test repo?
Packages are only signed when put in staging repo or in public repos.
Please set gpgcheck=0 in the /etc/yum.repos.d/ repo file for the testing repo

Comment 3 Nir Magnezi 2014-02-06 12:29:42 UTC
(In reply to Pádraig Brady from comment #1)
> Are you using an internal test repo?
> Packages are only signed when put in staging repo or in public repos.
> Please set gpgcheck=0 in the /etc/yum.repos.d/ repo file for the testing repo

This only reproduce whem the neutron-dhcp-server is installed on a dedicated server.

Comment 4 Pádraig Brady 2014-02-06 13:54:09 UTC
So this was abrtd giving the error.

What this means is if we want to have abrtd auto report bugzillas,
then we would need to add the RDO key(s) to /etc/abrt/gpg_keys and restart abrtd.
Now abrtd currently reports to Fedora bugzilla so that wouldn't be appropriate.
Also there may be privacy issues with enabling this by default.
Closing for now.


Note You need to log in before you can comment on or make changes to this bug.